Gentoo Archives: gentoo-commits

From: Sebastian Pipping <sping@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/betagarden:master commit in: media-video/tocgen/
Date: Wed, 29 Feb 2012 19:26:26
Message-Id: 1330543472.a1ceb9ae0b9b3f02cd68a1fe54bab48d8e6f6ba0.sping@gentoo
commit:     a1ceb9ae0b9b3f02cd68a1fe54bab48d8e6f6ba0
Author:     Sebastian Pipping <sebastian <AT> pipping <DOT> org>
AuthorDate: Wed Feb 29 19:23:40 2012 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Feb 29 19:24:32 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/betagarden.git;a=commit;h=a1ceb9ae

media-video/tocgen: 0.1.4

---
 media-video/tocgen/metadata.xml        |    8 +++++++
 media-video/tocgen/tocgen-0.1.4.ebuild |   35 ++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 0 deletions(-)

diff --git a/media-video/tocgen/metadata.xml b/media-video/tocgen/metadata.xml
new file mode 100644
index 0000000..16bcc9f
--- /dev/null
+++ b/media-video/tocgen/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer>
+		<email>sping@g.o</email>
+		<name>Sebastian Pipping</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/media-video/tocgen/tocgen-0.1.4.ebuild b/media-video/tocgen/tocgen-0.1.4.ebuild
new file mode 100644
index 0000000..07b3774
--- /dev/null
+++ b/media-video/tocgen/tocgen-0.1.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools
+
+MY_PN=dvdrtools
+DESCRIPTION="Tool to generate files VIDEO_TS/VIDEO_TS.{BUP,IFO} where missing"
+HOMEPAGE="https://savannah.nongnu.org/projects/dvdrtools/"
+SRC_URI="http://web.cvs.savannah.gnu.org/viewvc/*checkout*/${MY_PN}/files/${MY_PN}_${PV}.tar.gz?root=${MY_PN} -> ${MY_PN}_${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="!app-cdr/cdrtools
+	!<media-video/dvdrtools-0.1.5"
+
+S="${WORKDIR}"/${MY_PN}
+
+src_prepare() {
+	eautoreconf
+}
+
+src_compile() {
+	emake -C video tocgen || die
+}
+
+src_install() {
+	dobin video/tocgen || die
+}